Agents
List traces for an agent
List traces for an agent
curl --request GET \
--url https://agentgateway.atlan.engineering/agent/v1/agents/{agent_id}/traces \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://agentgateway.atlan.engineering/agent/v1/agents/{agent_id}/traces', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://agentgateway.atlan.engineering/agent/v1/agents/{agent_id}/traces"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"access": {
"allow_user_filter": true,
"audience": "<string>",
"basis": "<string>",
"slice": "<string>",
"detail": "<string>"
},
"items": [
{
"is_complete": true,
"started_at_unix_seconds": 123,
"summary": {
"error_count": 1,
"span_count": 1,
"input_tokens": 123,
"output_tokens": 123,
"total_cost_usd": 123,
"total_tokens": 123
},
"trace_id": "<string>",
"trace_status": "ok",
"workspace_id": "<string>",
"attributes": "<unknown>",
"duration_ms": 1,
"ended_at_unix_seconds": 123,
"match_confidence": "<string>",
"metadata": "<unknown>",
"models": [
"<string>"
],
"providers": [
"<string>"
],
"root_span_id": "<string>",
"root_span_name": "<string>",
"run_status": "<string>",
"service_name": "<string>",
"title": "<string>",
"user_id": "<string>"
}
],
"page": {
"limit": 1,
"next_cursor": "<string>"
}
}{
"code": "invalid_query",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "alg_mismatch",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "access_denied",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "not_found",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "validation_failed",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "internal_error",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "auth_unavailable",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "request_timeout",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Query Parameters
Required range:
x >= 0⌘I
List traces for an agent
curl --request GET \
--url https://agentgateway.atlan.engineering/agent/v1/agents/{agent_id}/traces \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://agentgateway.atlan.engineering/agent/v1/agents/{agent_id}/traces', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://agentgateway.atlan.engineering/agent/v1/agents/{agent_id}/traces"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"access": {
"allow_user_filter": true,
"audience": "<string>",
"basis": "<string>",
"slice": "<string>",
"detail": "<string>"
},
"items": [
{
"is_complete": true,
"started_at_unix_seconds": 123,
"summary": {
"error_count": 1,
"span_count": 1,
"input_tokens": 123,
"output_tokens": 123,
"total_cost_usd": 123,
"total_tokens": 123
},
"trace_id": "<string>",
"trace_status": "ok",
"workspace_id": "<string>",
"attributes": "<unknown>",
"duration_ms": 1,
"ended_at_unix_seconds": 123,
"match_confidence": "<string>",
"metadata": "<unknown>",
"models": [
"<string>"
],
"providers": [
"<string>"
],
"root_span_id": "<string>",
"root_span_name": "<string>",
"run_status": "<string>",
"service_name": "<string>",
"title": "<string>",
"user_id": "<string>"
}
],
"page": {
"limit": 1,
"next_cursor": "<string>"
}
}{
"code": "invalid_query",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "alg_mismatch",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "access_denied",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "not_found",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "validation_failed",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "internal_error",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "auth_unavailable",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "request_timeout",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}